_type: prompt
input_variables:
- company_summary
- honest_resume
- job_description
- today_date
- additional_context
metadata:
name: cover_letter
optional_variables: []
output_parser:
partial_variables: {}
tags:
template: |
  this is a job advert:
  ```
  {job_description}
  ```

  This is the context about the company:
  ```
  {company_summary}
  ```

  This is my honest (private) resume:
  ```
  {honest_resume}
  ```

  **additional context:
  ```
  {additional_context} ```

  keep in mind that:

  - Its {today_date} and I stopped working at snappy shopper months ago to attend to some personal matters.
  - I'm Iranian but I don't need work visa for UK.
  - Not that it needs to be mentioned, but for context, note that my work in Divar was more technically advanced, valuable and important.
  - my experience is around 10 years. not more than 10 years.
  - I did not scale the Divar single-handedly.

  write a cover letter for me. the cover letter should be best optimized to convince the hiring manager to accept my application to the next level.  
  limit the length to 3 paragraphs.

  - The goal is to convince TA to get an interview and then get the job.
  - keep the language simple (IELTS 7.0) writing level.
  - remain factual.
  ```
template_format: f-string
validate_template: false
